package com.unis.base.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.PersonnelRecordsHisVO;
import com.unis.base.common.vo.PersonnelRecordsHisqueryVO;
import com.unis.base.server.entity.DRyxxsjyHisDO;

import tk.mybatis.mapper.common.Mapper;
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DRyxxsjyHisDao extends Mapper<DRyxxsjyHisDO> {


    //int deleteByPrimaryKey(Integer rybajlId);

    int insert(DRyxxsjyHisDO record);

    int insertSelective(DRyxxsjyHisDO record);


    //DRyxxsjyHisDO selectByPrimaryKey(String rybajlId);

    
    /**
   	 * 获取最大人员编号
   	 * @return
   	 */
    String getMaxCodeById(@Param("pstr")String pstr);



    int updateByPrimaryKeySelective(DRyxxsjyHisDO record);

    int updateByPrimaryKey(DRyxxsjyHisDO record);

	List<DRyxxsjyHisDO> getonList(PersonnelRecordsHisqueryVO dRyxxsjyHisqueryVO);

	DRyxxsjyHisDO selectUsePrimaryKey(String rybajlId);
}